%define gst_branch 1.0

Name:           gstreamer-plugins-libav
Version:        1.4.3
Release:        1.1
Summary:        GStreamer Streaming-Media libav Plug-In
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
Source0:        http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz
Patch0:         enable-vdpau.patch 
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.4.0
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 1.4.0
BuildRequires:  pkgconfig(gstreamer-check-1.0) >= 1.4.0
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.4.0
BuildRequires:  libva-devel 
#BuildRequires:  libffmpeg_oldabi-devel
#BuildRequires:  pkgconfig(libavcodec)
#BuildRequires:  pkgconfig(libavformat)
#BuildRequires:  pkgconfig(libavutil)
#BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(orc-0.4) >= 0.4.16
# Internal libav 0.9 dependencies, probably there are missing ones. It fails to build with both the 0.7, 1.0 and 2.0 series. Fucking mess...
# Notice that I do NOT trust GStreamer to update its internal copy of libav with security fixes. So this is BAD.
BuildRequires:  yasm
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  libvdpau-devel
Enhances:       gstreamer

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most popular
multimedia formats.

%prep
%setup -q -n gst-libav-%{version}
%ifarch x86_64 i586
%patch0 -p1
%endif

%build
%configure --with-package-name='Packman %{name} package' \
           --with-package-origin='http://packman.links2linux.org/'
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%files
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING NEWS README TODO
%doc %{_datadir}/gtk-doc/html/
#%%{_libdir}/gstreamer-%%{gst_branch}/libgstavscale.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlibav.so

%changelog
* Sat Oct  4 2014 zaitor@opensuse.org
- Update to version 1.4.3:
  + avauddec: Keep draining buffers from libav until libav says so.
- Changes from version 1.4.2:
  + avviddec:
  - After draining frames, flush the libav decoder.
  - Keep draining buffers from libav until libav says so.
  + libav: Update to v10.5.
* Thu Aug 28 2014 zaitor@opensuse.org
- Update to version 1.4.1:
  + avvidec: Decoded frames lost on EOS (bgo#734608).
  + libav: Update to v10.4.
* Tue Jul 22 2014 zaitor@opensuse.org
- Update to version 1.4.0:
  + The stable 1.4 release series is API and ABI compatible with
    1.0.x, 1.2.x and any other 1.x release series in the future.
    Compared to 1.2.x it contains some new features and more
    intrusive changes that were considered too risky as a bugfix.
  + libav: Update to v10.2.
  + Add the now built html help files to doc.
* Sun May  4 2014 zaitor@opensuse.org
- Update to version 1.2.4:
  + Bugs fixed: avdec_h264, matroskademux: crash while seeking
    (bgo#727779).
* Sun Feb  9 2014 zaitor@opensuse.org
- Update to version 1.2.3:
  + Bugs fixed: bgo#696495, bgo#722672, bgo#722672.
- Changes from version 1.2.2:
  + Bugs fixed: bgo#691617, bgo#693772, bgo#697806, bgo#704161.
* Mon Dec  2 2013 hillwood@linuxfans.org
- enable vdpau and vaapi for x86, add enable-vdpau.patch.
* Tue Nov 19 2013 reddwarf@opensuse.org
- Update to 1.2.1
* Sat Nov  9 2013 reddwarf@opensuse.org
- Update to 1.2.0
  * It continues using the internal libav copy. It may contain
    security bugs.
* Sat Aug 31 2013 zaitor@opensuse.org
- Update to version 1.0.10:
  + Fix bz2 configure check for Windows.
- Changes from version 1.0.9:
  + Enable SIMD optimizations on OS/X, improving performance a lot
    in many cases.
  + Bugs fixed: bgo#704442.
- Changes from version 1.0.8:
  + gst-libav: internal libav snapshot version bumped to v0.8.8.
- Changes from version 1.0.7:
  + Update to libav 0.8.6.
  + Bugs fixed: bgo#697548, bgo#697617.
- Changes from version 1.0.6:
  + avviddec: fix H.264 decoding errors in some files by disabling
    multi-threaded decoding.
  + libav:
  - Fix checks for internal libav configure options.
  - Update to 0.8.5 release.
  + Bugs fixed: bgo#691723, bgo#694230.
- Changes from version 1.0.5:
  + Pass CC, LD, AS, AR and NM to the libav configure if set.
- Changes from version 1.0.4:
  + G.726 decoder fixes.
  + Bugs fixed: bgo#689975.
- Changes from version 1.0.3:
  + avcodecmap: Y41B is YUV411P, not YUV410P.
- Changes from version 1.02:
  + Update internal libav snapshot to 0.8.4 release which includes
    many crasher and CVE fixes.
- Add pkgconfig(bzip2) BuildRequires, in order to support bz2
  tracks via the matroska demuxer.
- Explicitly list built plugins, so we don't loose any on updates.
* Thu Oct 11 2012 reddwarf@opensuse.org
- Initial version
